Bug 827083 - [abrt] telepathy-mission-control-5.12.0-1.fc17: Process /usr/libexec/mission-control-5 was killed by signal 6 (SIGABRT)
[abrt] telepathy-mission-control-5.12.0-1.fc17: Process /usr/libexec/mission-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:31c3d4b780ffd0f866b3db92cc2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 10:54 EDT by Javier Villanueva
Modified: 2013-08-01 04:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:21:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.35 KB, text/plain)
2012-05-31 10:54 EDT, Javier Villanueva
no flags Details
File: maps (11.84 KB, text/plain)
2012-05-31 10:54 EDT, Javier Villanueva
no flags Details
smallbin double linked list corrupted: 0x08a5b3f0 *** log 1 (7.68 KB, text/plain)
2012-07-16 14:47 EDT, Pedro Francisco
no flags Details
corrupted double-linked list: 0x084e1030 *** log 2 (7.99 KB, text/plain)
2012-07-16 14:48 EDT, Pedro Francisco
no flags Details
arguments to dbus_message_iter_append_basic() were incorrect, assertion "_dbus_check_is_valid_utf8 (*string_p)" failed in file dbus-message.c line 2526, log 1 (2.60 KB, text/plain)
2012-07-16 14:49 EDT, Pedro Francisco
no flags Details
arguments to dbus_message_iter_append_basic() were incorrect, assertion "_dbus_check_is_valid_utf8 (*string_p)" failed in file dbus-message.c line 2526 log 2 (2.60 KB, text/plain)
2012-07-16 14:49 EDT, Pedro Francisco
no flags Details

  None (edit)
Description Javier Villanueva 2012-05-31 10:54:25 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/mission-control-5
executable:     /usr/libexec/mission-control-5
kernel:         3.3.7-1.fc17.i686.PAE
pid:            1388
pwd:            /
time:           jue 31 may 2012 09:53:27 CDT
uid:            1000
username:       javier

backtrace:      Text file, 19817 bytes
maps:           Text file, 12121 bytes

build_ids:
:e0c26c93d9253671382e414a002ceb4d66a62a6d
:d132a19370741a18815917cb4ee23009a368df67
:b8602922498add598a7a2e2dc4db4d97d36117d0
:3afc712291ff941ea26fe59cf6f5be9ea6625ec8
:e22e1e456283c0cdf171447a61c4f04e354f8b2a
:9aea670864d2a34a222fd110376f7946b702de7c
:a9580794bfc6165a1f9cbef59f20c90d46c59980
:d74e309f7f349388b9a030bf4a0fea06628bdffd
:903229353b4d4ccccd3d1a81e896bd7a3d214329
:c3f0ec3b8bc1f9e0c75939d81e1b06a0f422d5eb
:fe5cb478475f1731df386be09bc4be60b90522f5
:ae5c091840538c67ba05caf8d25a1794129355d4
:66d26bc9eb2166b61a756cab8f8c119e1d384028
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:72a78e5847730928a002fd2c9719c4258a54e265
:39f68629ed335b6af6a58da06697acfaa49f2c1c
:20eaf26335aa318368a086ceb5466a50d135b9fd
:eb7fb99ef83d1ef6e38fa3a8c55771040e47f4f9
:5b5557b5b0427930b220a00961393e29809c42f0
:d2f1de4778359e6aa9522bb4238bef11f5d32ed5
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:a6fe892e2dbfcfc85e70a0d264474a19ef83478d
:1e45838087d1220d7a37526cadfc59f7f5c0e20c
:bef638b29fdf84e92e8f33383eb8adb175128188
:63f0e21a84ca3f32d7f699030d48d791ef894d20
:e9d77505c0c25e485100590d9d4ad8388805d08d
:5ed22372ce6aa9cdeb91dab57c67156a2af5f0e4
:657bed8df5cfda1d7eb24a25a043cfbdf228b933
:c231c23d958aa42bb98f000cee5a9a11e090249d
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:a96cfe9e9cdc55f989a314b934ad9945aa11602a
:31b94f9b447b74280d5f248dd2c756f8f5e25acc
:ba148f978034eebf97945bc788a04a9f513a0088
:857faf41f9264d5ca81d646253beb9fe6782f28d
:79b7a3efa04a0acbf3ec9fec33fe6aba404bb4a6
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:92aaf9e3a33962226af01da69620e9be799859d4
:3e8db068ebbfae69654767b42d9b0475c53121e7
:f48ad284394152b21bb23d27734b77b4a2dcd7cf
:f33f4f69982b27f076e5f609f26aff70e2d3043e
:fb3cb1110ae7c912fab80775ba5475cefdde55a0
:dcc657d139ae8e1376df57b844635277883e75b8
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:1cd4f6965c72439a547cd22e0ade7f3cd72e744f

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/javier/2

core_backtrace:
:2341ef333e9f6b2badf33cea8f4f478cb884f614 0x424 __kernel_vsyscall linux-gate.so.1 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x2e95f raise libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x302b3 abort libc.so.6 -
:5b5557b5b0427930b220a00961393e29809c42f0 0x33f05 - libdbus-1.so.3 -
:5b5557b5b0427930b220a00961393e29809c42f0 0x2981d - libdbus-1.so.3 -
:5b5557b5b0427930b220a00961393e29809c42f0 0x1a723 dbus_message_iter_append_basic libdbus-1.so.3 -
:31b94f9b447b74280d5f248dd2c756f8f5e25acc 0xadc6 - libgnome-keyring.so.0 -
:31b94f9b447b74280d5f248dd2c756f8f5e25acc 0x10f9a - libgnome-keyring.so.0 -
:31b94f9b447b74280d5f248dd2c756f8f5e25acc 0x1287f gnome_keyring_find_items_sync libgnome-keyring.so.0 -
:3afc712291ff941ea26fe59cf6f5be9ea6625ec8 0x1e913 - libmissioncontrol-server-5.12.0.so -
:e0c26c93d9253671382e414a002ceb4d66a62a6d 0x3953 mcp_account_storage_commit_one libmission-control-plugins.so.0 -
:3afc712291ff941ea26fe59cf6f5be9ea6625ec8 0x44a98 - libmissioncontrol-server-5.12.0.so -
:3afc712291ff941ea26fe59cf6f5be9ea6625ec8 0x425e6 mcd_storage_commit libmissioncontrol-server-5.12.0.so -
:3afc712291ff941ea26fe59cf6f5be9ea6625ec8 0x14722 - libmissioncontrol-server-5.12.0.so -
:3afc712291ff941ea26fe59cf6f5be9ea6625ec8 0x148df - libmissioncontrol-server-5.12.0.so -
:3afc712291ff941ea26fe59cf6f5be9ea6625ec8 0x261bf mcd_dbusprop_set_property libmissioncontrol-server-5.12.0.so -
:3afc712291ff941ea26fe59cf6f5be9ea6625ec8 0x26254 - libmissioncontrol-server-5.12.0.so -
:63f0e21a84ca3f32d7f699030d48d791ef894d20 0x17b3b4 - libtelepathy-glib.so.0 -
:9aea670864d2a34a222fd110376f7946b702de7c 0x461a ffi_call_SYSV libffi.so.5 -
:9aea670864d2a34a222fd110376f7946b702de7c 0x4381 ffi_call libffi.so.5 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xd714 g_cclosure_marshal_generic libgobject-2.0.so.0 -
:a9580794bfc6165a1f9cbef59f20c90d46c59980 0xacfa - libdbus-glib-1.so.2 -
:5b5557b5b0427930b220a00961393e29809c42f0 0x1effe - libdbus-1.so.3 -
:5b5557b5b0427930b220a00961393e29809c42f0 0xed55 dbus_connection_dispatch libdbus-1.so.3 -
:a9580794bfc6165a1f9cbef59f20c90d46c59980 0x7e3e - libdbus-glib-1.so.2 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x46f11 g_main_context_dispatch libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47390 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:3afc712291ff941ea26fe59cf6f5be9ea6625ec8 0x4080f mcd_service_run libmissioncontrol-server-5.12.0.so -
:a6fe892e2dbfcfc85e70a0d264474a19ef83478d 0xe79 - [exe] -

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.15-37.fc17.i686 (Fedora Project) 1338421106
:/usr/lib/libsoftokn3.so nss-softokn-3.13.4-2.fc17.i686 (Fedora Project) 1338421234
:/usr/lib/libmissioncontrol-server-5.12.0.so telepathy-mission-control-1:5.12.0-1.fc17.i686 (Fedora Project) 1338421879
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-2.fc17.i686 (Fedora Project) 1338421123
:/usr/lib/libgthread-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1338421127
:/usr/lib/libselinux.so.1 libselinux-2.1.10-3.fc17.i686 (Fedora Project) 1338421118
:/usr/lib/libpthread-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338421106
:/usr/lib/libplds4.so nspr-4.9-2.fc17.i686 (Fedora Project) 1338421120
:/usr/lib/libnm-glib.so.4.3.0 NetworkManager-glib-1:0.9.4.0-9.git20120521.fc17.i686 (Fedora Project) 1338421560
:/usr/lib/libgobject-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1338421127
:/usr/lib/libelf-0.153.so elfutils-libelf-0.153-2.fc17.i686 (Fedora Project) 1338421126
:/usr/lib/libgpg-error.so.0.8.0 libgpg-error-1.10-2.fc17.i686 (Fedora Project) 1338421122
:/usr/lib/libnss3.so nss-3.13.4-3.fc17.i686 (Fedora Project) 1338421458
:/usr/lib/libnspr4.so nspr-4.9-2.fc17.i686 (Fedora Project) 1338421120
:/usr/lib/libnss_files-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338421106
:/usr/lib/libsqlite3.so.0.8.6 sqlite-3.7.11-2.fc17.i686 (Fedora Project) 1338421122
:/usr/lib/libssl3.so nss-3.13.4-3.fc17.i686 (Fedora Project) 1338421458
:/usr/lib/libfreebl3.so nss-softokn-freebl-3.13.4-2.fc17.i686 (Fedora Project) 1338421099
:/usr/lib/gio/modules/libdconfsettings.so dconf-0.12.0-1.fc17.i686 (Fedora Project) 1338421563
:/usr/lib/libmission-control-plugins.so.0.3.1 telepathy-mission-control-1:5.12.0-1.fc17.i686 (Fedora Project) 1338421879
:/usr/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.i686 (Fedora Project) 1338421119
:/usr/lib/libnm-util.so.2.3.0 NetworkManager-glib-1:0.9.4.0-9.git20120521.fc17.i686 (Fedora Project) 1338421560
:/usr/lib/libgudev-1.0.so.0.1.1 libgudev1-182-1.fc17.i686 (Fedora Project) 1338421547
:/usr/lib/libgio-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1338421127
:/usr/libexec/mission-control-5 telepathy-mission-control-1:5.12.0-1.fc17.i686 (Fedora Project) 1338421879
:/usr/lib/libtelepathy-glib.so.0.70.1 telepathy-glib-0.18.1-1.fc17.i686 (Fedora Project) 1338421134
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338421106
:/usr/lib/libgcrypt.so.11.7.0 libgcrypt-1.5.0-3.fc17.i686 (Fedora Project) 1338421123
:/usr/lib/libgmodule-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1338421127
:/usr/lib/libupower-glib.so.1.0.2 upower-0.9.16-1.fc17.i686 (Fedora Project) 1338421878
:/usr/lib/libgnome-keyring.so.0.2.0 libgnome-keyring-3.4.1-2.fc17.i686 (Fedora Project) 1338421129
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1338421118
:/usr/lib/libglib-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1338421127
:/usr/lib/libudev.so.0.13.1 libudev-182-1.fc17.i686 (Fedora Project) 1338421534
:/usr/lib/libuuid.so.1.3.0 libuuid-2.21.2-1.fc17.i686 (Fedora Project) 1338442837
:/usr/lib/libnssutil3.so nss-util-3.13.4-2.fc17.i686 (Fedora Project) 1338421120
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338421106
:/usr/lib/mission-control-plugins.0/mcp-account-manager-goa.so empathy-3.4.1-2.fc17.i686 (Fedora Project) 1338423852
:/usr/lib/libgoa-1.0.so.0.0.0 gnome-online-accounts-3.4.1-1.fc17.i686 (Fedora Project) 1338422647
:/usr/lib/librt-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338421106
:/usr/lib/libresolv-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338421106
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1338421106
:/usr/lib/libplc4.so nspr-4.9-2.fc17.i686 (Fedora Project) 1338421120
:/usr/lib/libsmime3.so nss-3.13.4-3.fc17.i686 (Fedora Project) 1338421458
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-3.fc17.i686 (Fedora Project) 1338421129

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-nYI9ZUBYW4,guid=2f66d1d16c6ffd772ba1822700000032
:XDG_RUNTIME_DIR=/run/user/javier
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/run/user/javier/keyring-GbRNPz/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1067,unix/unix:/tmp/.ICE-unix/1067
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=javier
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/run/user/javier/keyring-GbRNPz/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nYI9ZUBYW4,guid=2f66d1d16c6ffd772ba1822700000032
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-javier-EfnlC8/database
:USER=javier
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1063
:SHLVL=1
:PWD=/home/javier
:GDM_LANG=es_MX.utf8
:GNOME_KEYRING_CONTROL=/run/user/javier/keyring-GbRNPz
:LANG=es_MX.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=javier
:HOME=/home/javier

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 24112                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       24112                24112                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	02
:1:/dev/null
:pos:	0
:flags:	02
:2:/dev/null
:pos:	0
:flags:	02
:3:socket:[21507]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	02
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[21521]
:pos:	0
:flags:	02004002
:7:socket:[21524]
:pos:	0
:flags:	02004002
:8:socket:[21504]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: e6925b0b-d0fc-443b-ad91-4c5a0d71314d
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_MX.utf8
:Plataforma: i686
:BogoMIPS: 5827.46
:Fabricante de CPU: AuthenticAMD
:Modelo de CPU: AMD Athlon(tm) II X2 245 Processor
:Paso del UCP: 2
:Familia de UCP: 16
:Número de Modelo de CPU: 6
:Número de CPUs: 2
:Velocidad del CPU: 2900
:Memoria del Sistema: 3030
:Intercambio (swap) del Sistema: 5087
:Vendedor: BIOSTAR Group
:Sistema: N61PB-M2S 
:Factor de forma: Desktop
:Kernel: 3.3.7-1.fc17.i686.PAE
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4318:1004:5477:13319) pci, pata_amd, STORAGE, MCP61 IDE
:(4318:1007:5477:9477) pci, forcedeth, BRIDGE, MCP61 Ethernet
:(4318:1002:4318:52100) pci, None, RAM, MCP61 Memory Controller
:(4318:1013:5477:13319) pci, None, RAM, MCP61 Memory Controller
:(4318:1003:5477:13319) pci, nForce2_smbus, SERIAL, MCP61 SMBus
:(4318:992:5477:13319) pci, None, PCI/ISA, MCP61 LPC Bridge
:(4354:7:4354:4106) pci, snd_ca0106, MULTIMEDIA_AUDIO, SB0570 [SB Audigy SE]
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4318:1764:5218:4451) pci, nouveau, VIDEO, G98 [GeForce 8400 GS]
:(4318:1009:5477:13319) pci, ohci_hcd, USB, MCP61 USB Controller
:(4318:1010:5477:13319) pci, ehci_hcd, USB, MCP61 USB Controller
:(4318:1014:5477:21509) pci, sata_nv, STORAGE, MCP61 SATA Controller
:(4318:1014:5477:21509) pci, sata_nv, STORAGE, MCP61 SATA Controller
:(4318:1000:4318:0) pci, pcieport, PCI/PCI, MCP61 PCI Express bridge
:(4318:1011:4318:52100) pci, None, PCI/PCI, MCP61 PCI bridge
:(4318:1001:4318:0) pci, pcieport, PCI/PCI, MCP61 PCI Express bridge
:(4318:1008:5477:33295) pci, snd_hda_intel, MULTIMEDIA, MCP61 High Definition Audio
:(4318:1001:4318:0) pci, pcieport, PCI/PCI, MCP61 PCI Express bridge
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_javier-lv_root / ext4 4096 4096 13081819 10893465 10238105 3276800 3063753 3063753
:/dev/sde6 /boot ext4 1024 1024 508745 450354 424754 128016 127679 127679
:/dev/mapper/vg_javier-lv_home /home ext4 4096 4096 17796082 17040939 16149650 4456448 4452200 4452200
:/dev/sde5 WITHHELD fuseblk 4096 4096 89604400 13477714 13477714 53976392 53922632 53922632
:

var_log_messages:
:May 31 01:03:51 javier abrt[2049]: Saved core dump of pid 1349 (/usr/libexec/mission-control-5) to /var/spool/abrt/ccpp-2012-05-31-01:03:51-1349 (26996736 bytes)
:May 31 09:53:28 javier abrt[3135]: Saved core dump of pid 1388 (/usr/libexec/mission-control-5) to /var/spool/abrt/ccpp-2012-05-31-09:53:27-1388 (27594752 bytes)
Comment 1 Javier Villanueva 2012-05-31 10:54:31 EDT
Created attachment 588127 [details]
File: backtrace
Comment 2 Javier Villanueva 2012-05-31 10:54:33 EDT
Created attachment 588128 [details]
File: maps
Comment 3 Laurent Boualit 2012-05-31 11:27:09 EDT
was adding an empathy's account

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Manish Agarwal 2012-06-06 10:58:48 EDT
Reboot and this issue cropped up

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Laurent Boualit 2012-06-07 07:08:29 EDT
i always have to enter a new account cause those which i have entered before desappeared. And sometimes it reappear and this error come when i delete those reappeared accounts

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Laurent Boualit 2012-06-07 09:33:18 EDT
When I start Empathy, most of time all my accounts (msn) disappeared. So I add again this accounts. And sometimes the disappeared accounts reappeared. This error appeared when I delete one of the doubled account.

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Laurent Boualit 2012-06-07 19:05:22 EDT
When the system started, i started empathy. Then all my accounts was desappeared. When I added my account, i had this error..

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Laurent Boualit 2012-06-12 08:45:52 EDT
was adding an account on telepathy

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Laurent Boualit 2012-06-14 03:37:10 EDT
was adding an account in empathy

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Hélder Pereira 2012-06-23 09:25:07 EDT
Empathy fails to connect to the MSN server.

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Florian Fahr 2012-06-23 19:48:18 EDT
No idea.

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Dante Pendragon 2012-06-28 09:00:28 EDT
i was trying to connect tru empathy to MSN messenger, when received this error. also happened when trying to connect to MSN tru "Online Accounts" on user menu

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Florian Fahr 2012-06-30 07:22:36 EDT
I deleted an account in Empathy.

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Dmitrij Rebrov 2012-07-13 07:29:57 EDT
Network disconnect

backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Pedro Francisco 2012-07-16 11:58:47 EDT
Enabling/disabling "People nearby account".

HOWEVER, it doesn't always trigger a crash.
In the past, I've done
while [ 1 ]; do
	mc-tool disable salut/local_xmpp/account1
	mc-tool enable salut/local_xmpp/account1
done

with no crash happening; however, after the appended crash, I've done just once "mc-tool disable salut/local_xmpp/account1" and it crashed again. I'm guessing something related to timing is happening here.


backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Pedro Francisco 2012-07-16 12:11:50 EDT
Not exactly what I've done but something similar:
$ killall /usr/libexec/mission-control-5; MC_DEBUG=all /usr/libexec/mission-control-5 &
$ sleep 10; mc-tool enable salut/local_xmpp/account1
(...)
(...)
(...)
process 30916: arguments to dbus_message_iter_append_basic() were incorrect, assertion "_dbus_check_is_valid_utf8 (*string_p)" failed in file dbus-message.c line 2526.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)


backtrace_rating: 4
Package: telepathy-mission-control-5.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 Pedro Francisco 2012-07-16 14:47:25 EDT
Created attachment 598513 [details]
smallbin double linked list corrupted: 0x08a5b3f0 *** log 1

I compiled dbus with -rdynamic (actually, "--enable-asserts") in order to get a better backtrace.
"*** glibc detected *** /usr/libexec/mission-control-5: malloc(): smallbin double linked list corrupted: 0x08a5b3f0 ***"

Test case:
start:
* enable all accounts ()
* repeat ad nauseam enable "People Nearby Account", wait, disable "People Nearby Account" (or you can try "while [ 1 ]; do mc-tool enable salut/local_xmpp/account1; sleep 1; mc-tool disable salut/local_xmpp/account1; done")
* If after 2 minutes nothing happened, give up for ten minutes, try again later.
* If nothing happens then it's because Mission Control got things right and it won't crash. Try killall /usr/libexec/mission-control-5; /usr/libexec/mission-control-5 and then repeat from start.

Just in case the error is originally from other telepathy component, I have enabled:
 1451 ?        Sl     0:01 /usr/libexec/telepathy-logger
 2230 ?        Sl     0:13 /usr/libexec/telepathy-gabble
 2908 ?        S      0:01 /usr/libexec/telepathy-haze
 3906 ?        S      0:00 /usr/libexec/telepathy-salut
 3956 ?        Rl     0:04 empathy
Comment 18 Pedro Francisco 2012-07-16 14:48:16 EDT
Created attachment 598514 [details]
corrupted double-linked list: 0x084e1030 *** log 2
Comment 19 Pedro Francisco 2012-07-16 14:49:00 EDT
Created attachment 598515 [details]
arguments to dbus_message_iter_append_basic() were incorrect, assertion "_dbus_check_is_valid_utf8 (*string_p)" failed in file dbus-message.c line 2526, log 1
Comment 20 Pedro Francisco 2012-07-16 14:49:26 EDT
Created attachment 598516 [details]
arguments to dbus_message_iter_append_basic() were incorrect, assertion "_dbus_check_is_valid_utf8 (*string_p)" failed in file dbus-message.c line 2526 log 2
Comment 21 Peter Robinson 2012-07-16 16:10:17 EDT
Have you tried 5.12.1 in updates-testing?
Comment 22 Pedro Francisco 2012-07-16 16:51:57 EDT
Yes :) Seems to be working fine with 5.12.1 :) I've karma'd it up on Fedora's bodhi.
Thanks for the tip :)
Comment 23 Fedora End Of Life 2013-07-03 22:26:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Fedora End Of Life 2013-08-01 04:21:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.